#!/usr/bin/env python

import sys
import struct
import numpy as np
import matplotlib.pyplot as plt

nr = 1024
nphi = 1536
r1 = 10.0
r2 = 20.0
phi1 = 0.0
phi2 = 2.0*np.pi

def readdat(filename):
    nbytes = nr*nphi*8
    print "filename = " + str(filename)
    print "nbytes = " + str(nbytes)

    f = open(filename, "r")
    data = f.read(nbytes)
    f.close()

    size = len(data)
    fmt = 'd'
    size = size/struct.calcsize(fmt)
    fmt = size*fmt
    data = np.array(struct.unpack(fmt, data)).reshape(nr,nphi)
    return data

def gaspebblesize(filename, interactive=True):
    data = readdat(filename)
    f = open(filename + ".txt", "w")
    for i in xrange(0,nr):
        f.write("%.8e\n" % (data[i][0]))
    f.close()

def main():
    if len(sys.argv) > 2:
        for filename in sys.argv[1:]:
            gaspebblesize(filename, interactive=False)
    elif len(sys.argv) == 2:
        filename = sys.argv[1]
        gaspebblesize(filename)
    else:
        filename = "gaspebblesize0.dat"
        gaspebblesize(filename)

if __name__ == "__main__":
    main()



